# vim: set ts=4 sw=4 et:

%if %{?_without_audacious:1}0
%define with_audacious 0
%else
%define with_audacious 1
%endif

Name:           mp3splt-gtk
Version:        0.6.1a
Release:        0.pm.1.3
Summary:        Split MP3 and Ogg Files without decoding
# http://prdownloads.sourceforge.net/mp3splt/mp3splt-gtk-%{version}.tar.gz
Source:         mp3splt-gtk-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch1:         mp3splt-gtk-no_help.patch
URL:            http://mp3splt.sourceforge.net/mp3splt_page/home.php
Group:          Productivity/Multimedia/Sound/Editors and Convertors
License:        GNU General Public License version 2 or later (GPLv2+)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  libmp3splt-devel >= 0.3.1
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  libpng-devel
%if %with_audacious
BuildRequires:  audacious-devel
# remove once the Requires is fixed in audacious-devel:
BuildRequires:  libmcs-devel >= 0.7
%endif
BuildRequires:  autoconf automake libtool update-desktop-files

%description
%{name} is a GTK2 utility to split mp3 and ogg files selecting a begin and an
end time position, without decoding. It is very useful to split large mp3/ogg
to make smaller files or to split entire albums to obtain original tracks.

%prep
%setup -q
%patch1

%build
export SUSE_ASNEEDED=0

%configure \
    --disable-rpath \
    --disable-scrollkeeper \
    --disable-gnome \
%if %with_audacious
    --enable-audacious
%else
    --disable-audacious
%endif

%__make %{?_smp_flags}

%install
%makeinstall
%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo AudioVideoEditing
%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/mp3splt-gtk
%{_datadir}/pixmaps/mp3splt-gtk.png
%{_datadir}/pixmaps/mp3splt-gtk_ico.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mp3splt-gtk

%changelog
* Sat Feb 27 2010 pascal.bleser@opensuse.org
- update to 0.5.9
* Mon Jun  8 2009 pascal.bleser@opensuse.org
- rebuild against libaudclient.so.2
* Mon Jan 19 2009 guru@unixtech.be
- update to 0.5.4
* Sat Dec 29 2007 guru@unixtech.be
- moved to Packman
- added patch to fix int pointer castings on 64bit
* Mon Mar 27 2006 guru@unixtech.be
- new package
